Name:		backuponcd
Summary:	Multi-CD backup shell scripts
Version:	0.9.1
Release:	%mkrel 22
License:	GPL
Group:		Archiving/Backup
URL:		http://www.tuxoncd.de/backuponcd/pub/backuponcd.html/
Source:		%{name}.tar.bz2
Patch1:		%{name}-rcmod.patch.bz2
Patch2:		%{name}-doc.patch.bz2

BuildArch:	noarch

%description
BackupOnCd is a set of shell scripts which make multi-volume backups on CD-RW
possible.  It also makes the backup faster using cdrecord in a parallel
subshell and minimizes the amount of temporary needed disk space.  Currently
supported: tar and afio.

Be sure to modify /etc/backuponcd/global.rc to suit your system!


%prep

%setup -c -q


# (pc) another dirty hack to clean out some temp files
for i in `find $RPM_BUILD_DIR/%name-%version -path '*~'`; do rm -f $i; done

# (pc) modify global.rc for more of a typical mdk setup
%patch -P 1 -p0
# (pc) patch for documentation locations in backuponcd help message
%patch -P 2 -p0


%install
mkdir -p %{buildroot}{%{_sbindir},%{_sysconfdir}/%{name}}
cp $RPM_BUILD_DIR/%name-%version/usr/local/sbin/* %{buildroot}%{_sbindir}
cp $RPM_BUILD_DIR/%name-%version/etc/%{name}/global.rc %{buildroot}%{_sysconfdir}/%{name}
cp $RPM_BUILD_DIR/%name-%version/usr/doc/%{name}/samples/excludelist %{buildroot}%{_sysconfdir}/%{name}

chmod 755 %{buildroot}%{_sbindir}/*


%files
%doc usr/doc/backuponcd/*
%{_sbindir}/*
%dir %{_sysconfdir}/%{name}
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/global.rc
%config(noreplace) %{_sysconfdir}/%{name}/excludelist






%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.9.1-22.mga10
+ Revision: 2231492
- Mageia 10 Mass Rebuild

* Sat Dec 21 2024 pterjan <pterjan> 0.9.1-21.mga10
+ Revision: 2127130
- Rebuild for patchN deprecation

* Sat Mar 19 2022 umeabot <umeabot> 0.9.1-20.mga9
+ Revision: 1800841
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.9.1-19.mga8
+ Revision: 1489553
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.9.1-18.mga7
+ Revision: 1260775
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.9.1-17.mga7
+ Revision: 1259964
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 0.9.1-16.mga6
+ Revision: 933114
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-15.mga5
+ Revision: 750532
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-14.mga5
+ Revision: 678098
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.1-13.mga4
+ Revision: 503069
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9.1-12.mga3
+ Revision: 346829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 10 2011 dmorgan <dmorgan> 0.9.1-11.mga1
+ Revision: 83050
- imported package backuponcd


* Tue Sep 01 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.9.1-11mdv2010.0
+ Revision: 424007
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.1-10mdv2009.0
+ Revision: 243146
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.9.1-8mdv2008.1
+ Revision: 135828
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import backuponcd


* Mon Jul 31 2006 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-8mdv2007.0
- rebuild

* Thu Jul 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-7mdk
- rebuild

* Wed Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-6mdk
- rebuild

* Mon Mar 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-5mdk
- typo ( thx Tarax )

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-4mdk
- rebuild

* Mon Jun 24 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-3mdk
- use setup -c 
- fix cleaning script (works only in buildir-name-version)

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-2mdk
- rebuild

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- added by Paul Cox <pcox@linux-mandrake.com> :
	- first Mandrake Linux release
	- added patch to modify global.rc to more of a typical mdk setup
	- added patch for documentation locations in backuponcd help message

# end of file
